---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: manager-role
rules:
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - proxmoxvms
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - proxmoxvms/finalizers
  verbs:
  - update
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - proxmoxvms/status
  verbs:
  - get
  - patch
  - update
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - proxmoxvmscalesets
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - proxmoxvmscalesets/status
  verbs:
  - get
  - patch
  - update
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - resourcediscoveries
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - resourcediscoveries/finalizers
  verbs:
  - update
- apiGroups:
  - proxmox.sankofa.nexus
  resources:
  - resourcediscoveries/status
  verbs:
  - get
  - patch
  - update
